org.apache.solr.uima.processor

## Class UIMAUpdateRequestProcessor

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessor
  - - org.apache.solr.uima.processor.UIMAUpdateRequestProcessor

-     public class UIMAUpdateRequestProcessor
      extends UpdateRequestProcessor

  Update document(s) to be indexed with UIMA extracted information

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.update.processor.UpdateRequestProcessor

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMAUpdateRequestProcessor(UpdateRequestProcessor next, String coreName, SolrUIMAConfiguration config, org.apache.uima.analysis_engine.AnalysisEngine ae, org.apache.uima.util.JCasPool pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrUIMAConfiguration` | `getConfiguration()`
    `void` | `processAdd(AddUpdateCommand cmd)`

    - ### Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessor

      `finish, processCommit, processDelete, processMergeIndexes, processRollback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIMAUpdateRequestProcessor

          public UIMAUpdateRequestProcessor(UpdateRequestProcessor next,
                                            String coreName,
                                            SolrUIMAConfiguration config,
                                            org.apache.uima.analysis_engine.AnalysisEngine ae,
                                            org.apache.uima.util.JCasPool pool)

  - ### Method Detail

    - #### processAdd

          public void processAdd(AddUpdateCommand cmd)
                          throws IOException

      Overrides:
        `processAdd` in class `UpdateRequestProcessor`
      Throws:
        `IOException`

    - #### getConfiguration

          public SolrUIMAConfiguration getConfiguration()

      Returns:
        the configuration object for this request processor

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.